https://api.knoxapi.com- POST/
v1/ terminal/ configurations - GET/
v1/ terminal/ configurations - POST/
v1/ terminal/ connection_tokens - POST/
v1/ terminal/ locations - GET/
v1/ terminal/ locations - POST/
v1/ terminal/ onboarding_links - POST/
v1/ terminal/ readers - GET/
v1/ terminal/ readers - POST/
v1/ terminal/ refunds - POST/
v1/ terminal/ configurations/ {configuration} - GET/
v1/ terminal/ configurations/ {configuration} - DELETE/
v1/ terminal/ configurations/ {configuration} - POST/
v1/ terminal/ locations/ {location} - GET/
v1/ terminal/ locations/ {location} - DELETE/
v1/ terminal/ locations/ {location} - POST/
v1/ terminal/ readers/ {reader} - GET/
v1/ terminal/ readers/ {reader} - DELETE/
v1/ terminal/ readers/ {reader} - POST/
v1/ terminal/ readers/ {reader}/ cancel_action - POST/
v1/ terminal/ readers/ {reader}/ collect_inputs - POST/
v1/ terminal/ readers/ {reader}/ collect_payment_method - POST/
v1/ terminal/ readers/ {reader}/ confirm_payment_intent - POST/
v1/ terminal/ readers/ {reader}/ process_payment_intent - POST/
v1/ terminal/ readers/ {reader}/ process_setup_intent - POST/
v1/ terminal/ readers/ {reader}/ refund_payment - POST/
v1/ terminal/ readers/ {reader}/ set_reader_display
Create a Configuration
POST/v1/terminal/configurations
Creates a new Configuration object.
Body parameters
bbpos_wisepad3objectAn object containing device type specific settings for BBPOS WisePad 3 readers.
Show 1 child parameter
splashscreenstring
bbpos_wisepos_eobjectAn object containing device type specific settings for BBPOS WisePOS E readers.
Show 1 child parameter
splashscreenstring
cellularobjectConfiguration for cellular connectivity.
Show 1 child parameter
enabledbooleanRequired
expandarray of stringsSpecifies which fields in the response should be expanded.
namestringName of the configuration
offlineobjectConfigurations for collecting transactions offline.
Show 1 child parameter
enabledbooleanRequired
reboot_windowobjectReboot time settings for readers. that support customized reboot time configuration.
Show 2 child parameters
end_hourintegerRequiredstart_hourintegerRequired
stripe_s700objectAn object containing device type specific settings for Stripe S700 readers.
Show 1 child parameter
splashscreenstring
stripe_s710objectAn object containing device type specific settings for Stripe S710 readers.
Show 1 child parameter
splashscreenstring
tippingobjectTipping configurations for readers that support on-reader tips.
Show 21 child parameters
aedobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
audobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
cadobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
chfobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
czkobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
dkkobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
eurobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
gbpobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
gipobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
hkdobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
hufobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
jpyobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
mxnobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
myrobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
nokobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
nzdobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
plnobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
ronobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
sekobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
sgdobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
usdobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
verifone_m425objectAn object containing device type specific settings for Verifone M425 readers.
Show 1 child parameter
splashscreenstring
verifone_p400objectAn object containing device type specific settings for Verifone P400 readers.
Show 1 child parameter
splashscreenstring
verifone_p630objectAn object containing device type specific settings for Verifone P630 readers.
Show 1 child parameter
splashscreenstring
verifone_ux700objectAn object containing device type specific settings for Verifone UX700 readers.
Show 1 child parameter
splashscreenstring
verifone_v660pobjectAn object containing device type specific settings for Verifone V660p readers.
Show 1 child parameter
splashscreenstring
wifiobjectConfigurations for connecting to a WiFi network.
Show 4 child parameters
typestringRequiredPossible valuesenterprise_eap_peapenterprise_eap_tlspersonal_psk
enterprise_eap_peapobjectShow 4 child parameters
passwordstringRequiredssidstringRequiredusernamestringRequiredca_certificate_filestring
enterprise_eap_tlsobjectShow 5 child parameters
client_certificate_filestringRequiredprivate_key_filestringRequiredssidstringRequiredca_certificate_filestringprivate_key_file_passwordstring
personal_pskobjectShow 2 child parameters
passwordstringRequiredssidstringRequired
Returns
The terminal.configuration object.
curl -X POST https://api.knoxapi.com/v1/terminal/configurations \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/configurations');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/configurations")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/configurations'){
"bbpos_wisepos_e": {
"splashscreen": "file_1Pgc6yB7WZ01zgkWSsAMx1We"
},
"id": "tmc_ElVUAjF8xXG3hj",
"is_account_default": false,
"livemode": false,
"name": null,
"object": "terminal.configuration"
}List all Configurations
GET/v1/terminal/configurations
Returns a list of Configuration objects.
Query parameters
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
is_account_defaultbooleanif present, only return the account default or non-default configurations.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of terminal.configuration objects.
curl -G https://api.knoxapi.com/v1/terminal/configurations \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/terminal/configurations', {
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/terminal/configurations", limit=3)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/terminal/configurations', {
limit: 3,
}){
"object": "list",
"url": "/v1/terminal/configurations",
"has_more": false,
"data": [
{
"bbpos_wisepos_e": {
"splashscreen": "file_1Pgc6yB7WZ01zgkWSsAMx1We"
},
"id": "tmc_ElVUAjF8xXG3hj",
"is_account_default": false,
"livemode": false,
"name": null,
"object": "terminal.configuration"
}
]
}Create a Connection Token
POST/v1/terminal/connection_tokens
To connect to a reader the Stripe Terminal SDK needs to retrieve a short-lived connection token from Stripe, proxied through your server. On your backend, add an endpoint that creates and returns a connection token.
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
locationstringThe id of the location that this connection token is scoped to. If specified the connection token will only be usable with readers assigned to that location, otherwise the connection token will be usable with all readers. Note that location scoping only applies to internet-connected readers. For more details, see the docs on scoping connection tokens.
Returns
The terminal.connection_token object.
curl -X POST https://api.knoxapi.com/v1/terminal/connection_tokens \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/connection_tokens');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/connection_tokens")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/connection_tokens'){
"object": "terminal.connection_token",
"secret": "pst_test_iPPfmBn7kZ0gIJ4xpehqTnC"
}Create a Location
POST/v1/terminal/locations
Creates a new Location object. For further details, including which address fields are required in each country, see the Manage locations guide.
Body parameters
addressobjectThe full address of the location.
Show 6 child parameters
countrystringRequiredcitystringline1stringline2stringpostal_codestringstatestring
address_kanaobjectThe Kana variation of the full address of the location (Japan only).
Show 7 child parameters
citystringcountrystringline1stringline2stringpostal_codestringstatestringtownstring
address_kanjiobjectThe Kanji variation of the full address of the location (Japan only).
Show 7 child parameters
citystringcountrystringline1stringline2stringpostal_codestringstatestringtownstring
configuration_overridesstringThe ID of a configuration that will be used to customize all readers in this location.
display_namestringA name for the location. Maximum length is 1000 characters.
display_name_kanastringThe Kana variation of the name for the location (Japan only). Maximum length is 1000 characters.
display_name_kanjistringThe Kanji variation of the name for the location (Japan only). Maximum length is 1000 characters.
expandarray of stringsSpecifies which fields in the response should be expanded.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.phonestringThe phone number for the location.
Returns
The terminal.location object.
curl -X POST https://api.knoxapi.com/v1/terminal/locations \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/locations');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/locations")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/locations'){
"address": {
"city": "San Francisco",
"country": "US",
"line1": "1234 Fake Street",
"line2": null,
"postal_code": "94102",
"state": "CA"
},
"display_name": "My First Store",
"id": "tml_j3hPESSh1Tie4LPWyRy8VLVY",
"livemode": false,
"metadata": {},
"object": "terminal.location"
}List all Locations
GET/v1/terminal/locations
Returns a list of Location objects.
Query parameters
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.
Returns
A list of terminal.location objects.
curl -G https://api.knoxapi.com/v1/terminal/locations \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/terminal/locations', {
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/terminal/locations", limit=3)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/terminal/locations', {
limit: 3,
}){
"object": "list",
"url": "/v1/terminal/locations",
"has_more": false,
"data": [
{
"address": {
"city": "San Francisco",
"country": "US",
"line1": "1234 Fake Street",
"line2": null,
"postal_code": "94102",
"state": "CA"
},
"display_name": "My First Store",
"id": "tml_j3hPESSh1Tie4LPWyRy8VLVY",
"livemode": false,
"metadata": {},
"object": "terminal.location"
}
]
}Create an Onboarding Link
POST/v1/terminal/onboarding_links
Creates a new OnboardingLink object that contains a redirect_url used for onboarding onto Tap to Pay on iPhone.
Body parameters
link_optionsobjectRequiredSpecific fields needed to generate the desired link type.
Show 1 child parameter
apple_terms_and_conditionsobjectShow 2 child parameters
merchant_display_namestringRequiredallow_relinkingboolean
link_typestringRequiredThe type of link being generated.
Possible valuesapple_terms_and_conditions
expandarray of stringsSpecifies which fields in the response should be expanded.
on_behalf_ofstringStripe account ID to generate the link for.
Returns
The terminal.onboarding_link object.
curl https://api.knoxapi.com/v1/terminal/onboarding_links \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d link_options= \
-d link_type=apple_terms_and_conditionsconst Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/onboarding_links', {
link_options: {},
link_type: 'apple_terms_and_conditions',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/onboarding_links", link_options={}, link_type="apple_terms_and_conditions")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/onboarding_links', {
link_options: {},
link_type: 'apple_terms_and_conditions',
}){
"link_options": {
"apple_terms_and_conditions": {
"allow_relinking": null,
"merchant_display_name": "merchant_display_name"
}
},
"link_type": "apple_terms_and_conditions",
"object": "terminal.onboarding_link",
"on_behalf_of": null,
"redirect_url": "redirect_url"
}Create a Reader
POST/v1/terminal/readers
Creates a new Reader object.
Body parameters
registration_codestringRequiredA code generated by the reader used for registering to an account.
expandarray of stringsSpecifies which fields in the response should be expanded.
labelstringCustom label given to the reader for easier identification. If no label is specified, the registration code will be used.
locationstringThe location to assign the reader to.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.
Returns
The terminal.reader object.
curl https://api.knoxapi.com/v1/terminal/readers \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d registration_code=exampleconst Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/readers', {
registration_code: 'example',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/readers", registration_code="example")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/readers', {
registration_code: 'example',
}){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}List all Readers
GET/v1/terminal/readers
Returns a list of Reader objects.
Query parameters
device_typestringFilters readers by device type
Possible valuesbbpos_chipper2xbbpos_wisepad3bbpos_wisepos_emobile_phone_readersimulated_stripe_s700simulated_stripe_s710simulated_verifone_m425simulated_verifone_p630simulated_verifone_ux700simulated_verifone_v660psimulated_wisepos_estripe_m2stripe_s700stripe_s710verifone_P400verifone_m425- and 3 more
ending_beforestringA cursor for use in pagination.
ending_beforeis an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting withobj_bar, your subsequent call can includeending_before=obj_barin order to fetch the previous page of the list.expandarray of stringsSpecifies which fields in the response should be expanded.
limitintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
locationstringA location ID to filter the response list to only readers at the specific location
serial_numberstringFilters readers by serial number
starting_afterstringA cursor for use in pagination.
starting_afteris an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending withobj_foo, your subsequent call can includestarting_after=obj_fooin order to fetch the next page of the list.statusstringA status filter to filter readers to only offline or online readers
Possible valuesofflineonline
Returns
A list of terminal.reader objects.
curl -G https://api.knoxapi.com/v1/terminal/readers \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
--data-urlencode limit=3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/terminal/readers', {
limit: 3,
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/terminal/readers", limit=3)require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/terminal/readers', {
limit: 3,
}){
"object": "list",
"url": "/v1/terminal/readers",
"has_more": false,
"data": [
{
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}
]
}Create a refund using a Terminal-supported device.
POST/v1/terminal/refunds
Internal endpoint for terminal use to create a refund for a card_present or card charge. You can optionally refund only part of a charge.
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The terminal.refund object.
curl -X POST https://api.knoxapi.com/v1/terminal/refunds \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/refunds');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/refunds")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/refunds'){
"object": "terminal.refund"
}Update a Configuration
POST/v1/terminal/configurations/{configuration}
Updates a new Configuration object.
Path parameters
configurationstringRequired
Body parameters
bbpos_wisepad3objectAn object containing device type specific settings for BBPOS WisePad 3 readers.
Show 1 child parameter
splashscreenstring
bbpos_wisepos_eobjectAn object containing device type specific settings for BBPOS WisePOS E readers.
Show 1 child parameter
splashscreenstring
cellularobjectConfiguration for cellular connectivity.
Show 1 child parameter
enabledbooleanRequired
expandarray of stringsSpecifies which fields in the response should be expanded.
namestringName of the configuration
offlineobjectConfigurations for collecting transactions offline.
Show 1 child parameter
enabledbooleanRequired
reboot_windowobjectReboot time settings for readers. that support customized reboot time configuration.
Show 2 child parameters
end_hourintegerRequiredstart_hourintegerRequired
stripe_s700objectAn object containing device type specific settings for Stripe S700 readers.
Show 1 child parameter
splashscreenstring
stripe_s710objectAn object containing device type specific settings for Stripe S710 readers.
Show 1 child parameter
splashscreenstring
tippingobjectTipping configurations for readers that support on-reader tips.
Show 21 child parameters
aedobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
audobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
cadobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
chfobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
czkobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
dkkobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
eurobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
gbpobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
gipobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
hkdobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
hufobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
jpyobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
mxnobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
myrobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
nokobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
nzdobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
plnobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
ronobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
sekobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
sgdobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
usdobjectShow 3 child parameters
fixed_amountsarray of integerspercentagesarray of integerssmart_tip_thresholdinteger
verifone_m425objectAn object containing device type specific settings for Verifone M425 readers.
Show 1 child parameter
splashscreenstring
verifone_p400objectAn object containing device type specific settings for Verifone P400 readers.
Show 1 child parameter
splashscreenstring
verifone_p630objectAn object containing device type specific settings for Verifone P630 readers.
Show 1 child parameter
splashscreenstring
verifone_ux700objectAn object containing device type specific settings for Verifone UX700 readers.
Show 1 child parameter
splashscreenstring
verifone_v660pobjectAn object containing device type specific settings for Verifone V660p readers.
Show 1 child parameter
splashscreenstring
wifiobjectConfigurations for connecting to a WiFi network.
Show 4 child parameters
typestringRequiredPossible valuesenterprise_eap_peapenterprise_eap_tlspersonal_psk
enterprise_eap_peapobjectShow 4 child parameters
passwordstringRequiredssidstringRequiredusernamestringRequiredca_certificate_filestring
enterprise_eap_tlsobjectShow 5 child parameters
client_certificate_filestringRequiredprivate_key_filestringRequiredssidstringRequiredca_certificate_filestringprivate_key_file_passwordstring
personal_pskobjectShow 2 child parameters
passwordstringRequiredssidstringRequired
Returns
The terminal.configuration object.
curl -X POST https://api.knoxapi.com/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj'){
"bbpos_wisepos_e": {
"splashscreen": "file_1Pgc6yB7WZ01zgkWSsAMx1We"
},
"id": "tmc_ElVUAjF8xXG3hj",
"is_account_default": false,
"livemode": false,
"name": null,
"object": "terminal.configuration"
}Retrieve a Configuration
GET/v1/terminal/configurations/{configuration}
Retrieves a Configuration object.
Path parameters
configurationstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The terminal.configuration object.
curl https://api.knoxapi.com/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj'){
"bbpos_wisepos_e": {
"splashscreen": "file_1Pgc6yB7WZ01zgkWSsAMx1We"
},
"id": "tmc_ElVUAjF8xXG3hj",
"is_account_default": false,
"livemode": false,
"name": null,
"object": "terminal.configuration"
}Delete a Configuration
DELETE/v1/terminal/configurations/{configuration}
Deletes a Configuration object.
Path parameters
configurationstringRequired
Returns
The deleted_terminal.configuration object.
curl -X DELETE https://api.knoxapi.com/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('DELETE', '/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("delete", "/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:delete, '/v1/terminal/configurations/tmc_ElVUAjF8xXG3hj'){
"deleted": true,
"id": "tmc_ElVUAjF8xXG3hj",
"object": "terminal.configuration"
}Update a Location
POST/v1/terminal/locations/{location}
Updates a Location object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
locationstringRequired
Body parameters
addressobjectThe full address of the location. You can't change the location's
country. If you need to modify thecountryfield, create a newLocationobject and re-register any existing readers to that location.Show 6 child parameters
citystringcountrystringline1stringline2stringpostal_codestringstatestring
address_kanaobjectThe Kana variation of the full address of the location (Japan only).
Show 7 child parameters
citystringcountrystringline1stringline2stringpostal_codestringstatestringtownstring
address_kanjiobjectThe Kanji variation of the full address of the location (Japan only).
Show 7 child parameters
citystringcountrystringline1stringline2stringpostal_codestringstatestringtownstring
configuration_overridesstringThe ID of a configuration that will be used to customize all readers in this location.
display_namestringA name for the location.
display_name_kanastringThe Kana variation of the name for the location (Japan only).
display_name_kanjistringThe Kanji variation of the name for the location (Japan only).
expandarray of stringsSpecifies which fields in the response should be expanded.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.phonestringThe phone number for the location.
Returns
The terminal.location object.
curl https://api.knoxapi.com/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d "metadata[order_id]=6735"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY', {
metadata: {
order_id: '6735',
},
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY", metadata={
"order_id": "6735",
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY', {
metadata: {
order_id: '6735',
},
}){
"address": {
"city": "San Francisco",
"country": "US",
"line1": "1234 Fake Street",
"line2": null,
"postal_code": "94102",
"state": "CA"
},
"display_name": "My First Store",
"id": "tml_j3hPESSh1Tie4LPWyRy8VLVY",
"livemode": false,
"metadata": {},
"object": "terminal.location"
}Retrieve a Location
GET/v1/terminal/locations/{location}
Retrieves a Location object.
Path parameters
locationstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The terminal.location object.
curl https://api.knoxapi.com/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY'){
"address": {
"city": "San Francisco",
"country": "US",
"line1": "1234 Fake Street",
"line2": null,
"postal_code": "94102",
"state": "CA"
},
"display_name": "My First Store",
"id": "tml_j3hPESSh1Tie4LPWyRy8VLVY",
"livemode": false,
"metadata": {},
"object": "terminal.location"
}Delete a Location
DELETE/v1/terminal/locations/{location}
Deletes a Location object.
Path parameters
locationstringRequired
Returns
The deleted_terminal.location object.
curl -X DELETE https://api.knoxapi.com/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('DELETE', '/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("delete", "/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:delete, '/v1/terminal/locations/tml_j3hPESSh1Tie4LPWyRy8VLVY'){
"deleted": true,
"id": "tml_j3hPESSh1Tie4LPWyRy8VLVY",
"object": "terminal.location"
}Update a Reader
POST/v1/terminal/readers/{reader}
Updates a Reader object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
readerstringRequired
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
labelstringThe new label of the reader.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.
Returns
The terminal.reader object.
curl https://api.knoxapi.com/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d "metadata[order_id]=6735"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs', {
metadata: {
order_id: '6735',
},
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs", metadata={
"order_id": "6735",
})require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs', {
metadata: {
order_id: '6735',
},
}){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Retrieve a Reader
GET/v1/terminal/readers/{reader}
Retrieves a Reader object.
Path parameters
readerstringRequired
Query parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The terminal.reader object.
curl https://api.knoxapi.com/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('GET', '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("get", "/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:get, '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs'){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Delete a Reader
DELETE/v1/terminal/readers/{reader}
Deletes a Reader object.
Path parameters
readerstringRequired
Returns
The deleted_terminal.reader object.
curl -X DELETE https://api.knoxapi.com/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('DELETE', '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("delete", "/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:delete, '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs'){
"deleted": true,
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"object": "terminal.reader",
"device_type": "verifone_P400",
"serial_number": "serial_number"
}Cancel the current reader action
POST/v1/terminal/readers/{reader}/cancel_action
Cancels the current reader action. See Programmatic Cancellation for more details.
Path parameters
readerstringRequired
Body parameters
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The terminal.reader object.
curl -X POST https://api.knoxapi.com/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/cancel_action \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/cancel_action');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/cancel_action")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/cancel_action'){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Collect inputs using a Reader
POST/v1/terminal/readers/{reader}/collect_inputs
Initiates an input collection flow on a Reader to display input forms and collect information from your customers.
Path parameters
readerstringRequired
Body parameters
inputsarray of objectsRequiredList of inputs to be collected from the customer using the Reader. Maximum 5 inputs.
Show 5 child parameters
custom_textobjectRequiredShow 4 child parameters
titlestringRequireddescriptionstringskip_buttonstringsubmit_buttonstring
typestringRequiredPossible valuesemailnumericphoneselectionsignaturetext
requiredbooleanselectionobjectShow 1 child parameter
choicesarray of objectsRequiredChild parameters are listed in the OpenAPI document.
togglesarray of objectsShow 3 child parameters
default_valuestringPossible valuesdisabledenabled
descriptionstringtitlestring
expandarray of stringsSpecifies which fields in the response should be expanded.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.
Returns
The terminal.reader object.
curl https://api.knoxapi.com/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/collect_inputs \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d "inputs[0][custom_text]=" \
-d "inputs[0][type]=email"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/collect_inputs', {
inputs: [{
custom_text: {},
type: 'email',
}],
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/collect_inputs", inputs=[{
"custom_text": {},
"type": "email",
}])require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/collect_inputs', {
inputs: [{
custom_text: {},
type: 'email',
}],
}){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Hand off a PaymentIntent to a Reader and collect card details
POST/v1/terminal/readers/{reader}/collect_payment_method
Initiates a payment flow on a Reader and updates the PaymentIntent with card details before manual confirmation. See Collecting a Payment method for more details.
Path parameters
readerstringRequired
Body parameters
payment_intentstringRequiredThe ID of the PaymentIntent to collect a payment method for.
collect_configobjectConfiguration overrides for this collection, such as tipping, surcharging, and customer cancellation settings.
Show 4 child parameters
allow_redisplaystringPossible valuesalwayslimitedunspecified
enable_customer_cancellationbooleanskip_tippingbooleantippingobjectShow 1 child parameter
amount_eligibleinteger
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The terminal.reader object.
curl https://api.knoxapi.com/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/collect_payment_method \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d payment_intent=pi_1PgafyB7WZ01zgkWSjxsAJo3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/collect_payment_method', {
payment_intent: 'pi_1PgafyB7WZ01zgkWSjxsAJo3',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/collect_payment_method", payment_intent="pi_1PgafyB7WZ01zgkWSjxsAJo3")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/collect_payment_method', {
payment_intent: 'pi_1PgafyB7WZ01zgkWSjxsAJo3',
}){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Confirm a PaymentIntent on the Reader
POST/v1/terminal/readers/{reader}/confirm_payment_intent
Finalizes a payment on a Reader. See Confirming a Payment for more details.
Path parameters
readerstringRequired
Body parameters
payment_intentstringRequiredThe ID of the PaymentIntent to confirm.
confirm_configobjectConfiguration overrides for this confirmation, such as surcharge settings and return URL.
Show 1 child parameter
return_urlstring
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The terminal.reader object.
curl https://api.knoxapi.com/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/confirm_payment_intent \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d payment_intent=pi_1PgafyB7WZ01zgkWSjxsAJo3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/confirm_payment_intent', {
payment_intent: 'pi_1PgafyB7WZ01zgkWSjxsAJo3',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/confirm_payment_intent", payment_intent="pi_1PgafyB7WZ01zgkWSjxsAJo3")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/confirm_payment_intent', {
payment_intent: 'pi_1PgafyB7WZ01zgkWSjxsAJo3',
}){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Hand-off a PaymentIntent to a Reader
POST/v1/terminal/readers/{reader}/process_payment_intent
Initiates a payment flow on a Reader. See process the payment for more details.
Path parameters
readerstringRequired
Body parameters
payment_intentstringRequiredThe ID of the PaymentIntent to process on the reader.
expandarray of stringsSpecifies which fields in the response should be expanded.
process_configobjectConfiguration overrides for this transaction, such as tipping and customer cancellation settings.
Show 5 child parameters
allow_redisplaystringPossible valuesalwayslimitedunspecified
enable_customer_cancellationbooleanreturn_urlstringskip_tippingbooleantippingobjectShow 1 child parameter
amount_eligibleinteger
Returns
The terminal.reader object.
curl https://api.knoxapi.com/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/process_payment_intent \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d payment_intent=pi_1PgafyB7WZ01zgkWSjxsAJo3const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/process_payment_intent', {
payment_intent: 'pi_1PgafyB7WZ01zgkWSjxsAJo3',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/process_payment_intent", payment_intent="pi_1PgafyB7WZ01zgkWSjxsAJo3")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/process_payment_intent', {
payment_intent: 'pi_1PgafyB7WZ01zgkWSjxsAJo3',
}){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Hand-off a SetupIntent to a Reader
POST/v1/terminal/readers/{reader}/process_setup_intent
Initiates a SetupIntent flow on a Reader. See Save directly without charging for more details.
Path parameters
readerstringRequired
Body parameters
allow_redisplaystringRequiredThis field indicates whether this payment method can be shown again to its customer in a checkout flow. Stripe products such as Checkout and Elements use this field to determine whether a payment method can be shown as a saved payment method in a checkout flow.
Possible valuesalwayslimitedunspecified
setup_intentstringRequiredThe ID of the SetupIntent to process on the reader.
expandarray of stringsSpecifies which fields in the response should be expanded.
process_configobjectConfiguration overrides for this setup, such as MOTO and customer cancellation settings.
Show 1 child parameter
enable_customer_cancellationboolean
Returns
The terminal.reader object.
curl https://api.knoxapi.com/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/process_setup_intent \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d allow_redisplay=always \
-d setup_intent=seti_1Pgag7B7WZ01zgkWSgwGdb8Zconst Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/process_setup_intent', {
allow_redisplay: 'always',
setup_intent: 'seti_1Pgag7B7WZ01zgkWSgwGdb8Z',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/process_setup_intent", allow_redisplay="always", setup_intent="seti_1Pgag7B7WZ01zgkWSgwGdb8Z")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/process_setup_intent', {
allow_redisplay: 'always',
setup_intent: 'seti_1Pgag7B7WZ01zgkWSgwGdb8Z',
}){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Refund a Charge or a PaymentIntent in-person
POST/v1/terminal/readers/{reader}/refund_payment
Initiates an in-person refund on a Reader. See Refund an Interac Payment for more details.
Path parameters
readerstringRequired
Body parameters
amountintegerA positive integer in __cents__ representing how much of this charge to refund.
chargestringID of the Charge to refund.
expandarray of stringsSpecifies which fields in the response should be expanded.
metadataobjectSet of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to
metadata.payment_intentstringID of the PaymentIntent to refund.
refund_application_feebooleanBoolean indicating whether the application fee should be refunded when refunding this charge. If a full charge refund is given, the full application fee will be refunded. Otherwise, the application fee will be refunded in an amount proportional to the amount of the charge refunded. An application fee can be refunded only by the application that created the charge.
refund_payment_configobjectConfiguration overrides for this refund, such as customer cancellation settings.
Show 1 child parameter
enable_customer_cancellationboolean
reverse_transferbooleanBoolean indicating whether the transfer should be reversed when refunding this charge. The transfer will be reversed proportionally to the amount being refunded (either the entire or partial amount). A transfer can be reversed only by the application that created the charge.
Returns
The terminal.reader object.
curl -X POST https://api.knoxapi.com/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/refund_payment \
-H "Authorization: Bearer $KNOX_SECRET_KEY"const Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/refund_payment');import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/refund_payment")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/refund_payment'){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Set reader display
POST/v1/terminal/readers/{reader}/set_reader_display
Sets the reader display to show cart details.
Path parameters
readerstringRequired
Body parameters
typestringRequiredType of information to display. Only
cartis currently supported.Possible valuescart
cartobjectCart details to display on the reader screen, including line items, amounts, and currency.
Show 4 child parameters
currencystringRequiredline_itemsarray of objectsRequiredShow 3 child parameters
amountintegerRequireddescriptionstringRequiredquantityintegerRequired
totalintegerRequiredtaxinteger
expandarray of stringsSpecifies which fields in the response should be expanded.
Returns
The terminal.reader object.
curl https://api.knoxapi.com/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/set_reader_display \
-H "Authorization: Bearer $KNOX_SECRET_KEY" \
-d type=cartconst Stripe = require('stripe');
const stripe = new Stripe(process.env.KNOX_SECRET_KEY, {host: 'api.knoxapi.com'});
const response = await stripe.rawRequest('POST', '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/set_reader_display', {
type: 'cart',
});import os
import stripe
client = stripe.StripeClient(
os.environ["KNOX_SECRET_KEY"],
base_addresses={"api": "https://api.knoxapi.com"},
)
response = client.raw_request("post", "/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/set_reader_display", type="cart")require 'stripe'
Stripe.api_key = ENV['KNOX_SECRET_KEY']
Stripe.api_base = 'https://api.knoxapi.com'
response = Stripe.raw_request(:post, '/v1/terminal/readers/tmr_iGOgDOlmFAot3zIp2JzEqXYs/set_reader_display', {
type: 'cart',
}){
"action": {
"failure_code": null,
"failure_message": null,
"status": "failed",
"type": "refund_payment",
"api_error": {
"type": "idempotency_error"
}
},
"device_sw_version": null,
"device_type": "bbpos_wisepos_e",
"id": "tmr_iGOgDOlmFAot3zIp2JzEqXYs",
"ip_address": "192.168.2.2",
"label": "Blue Rabbit",
"livemode": false,
"location": null,
"metadata": {},
"object": "terminal.reader",
"serial_number": "123-456-789",
"status": "online",
"last_seen_at": null
}Operations and schemas come from the pinned Stripe OpenAPI specification (MIT); response examples from its fixtures. Nested object definitions and enums are in the complete specification.